%define upstream_name    Sphinx-Search
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Sphinx search engine API Perl client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/J/JJ/JJSCHUTZ/%{upstream_name}-%{upstream_version}.tar.gz

#BuildRequires:	perl-Test-Pod-Coverage
#BuildRequires:	perl-File-SearchPath
#BuildRequires:	perl-Path-Class
#BuildRequires:	sphinx
BuildArch:  noarch

%description
Sphinx search engine API Perl client for Sphinx 0.9.8-svn-r871 and later.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#%%check
#make \
#    SPHINX_SEARCHD="%{_sbindir}/sphinx-searchd" \
#    SPHINX_INDEXER="%{_bindir}/sphinx-indexer" \
#    SPHINX_PORT="20000" \
#    test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Sphinx/Search.pm
%attr(0644,root,root) %{_mandir}/man3/Sphinx::Search.3pm*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.310.0-5.mga10
+ Revision: 2204570
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.310.0-4.mga9
+ Revision: 1810186
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-3.mga8
+ Revision: 1506183
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.310.0-2.mga7
+ Revision: 1286019
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 0.310.0-1.mga7
+ Revision: 1182060
- update to 0.31

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-3.mga6
+ Revision: 1033297
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.290.0-2.mga6
+ Revision: 967407
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.290.0-1.mga6
+ Revision: 848857
- update to 0.29

* Wed Oct 15 2014 umeabot <umeabot> 0.280.0-5.mga5
+ Revision: 739586
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.280.0-4.mga5
+ Revision: 686215
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 514643
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 372667
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.280.0-1.mga3
+ Revision: 301286
- update to 0.28

* Thu Jan 13 2011 jquelin <jquelin> 0.240.1-1.mga2
+ Revision: 14588
- imported package perl-Sphinx-Search


* Sat Dec 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.1-1mdv2011.0
+ Revision: 622890
- update to new version 0.240.1

* Wed Dec 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 616217
- update to new version 0.24

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.220.0-1mdv2010.0
+ Revision: 404394
- rebuild using %%perl_convert_version

* Sat May 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2010.0
+ Revision: 373793
- update to new version 0.22

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2010.0
+ Revision: 372161
- update to new version 0.21

* Sun May 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdv2010.0
+ Revision: 371336
- update to new version 0.20

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2010.0
+ Revision: 370177
- update to new version 0.19

* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2009.1
+ Revision: 345922
- update to new version 0.15

* Mon Feb 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdv2009.1
+ Revision: 338674
- update to new version 0.14

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.0
+ Revision: 270396
- update to new version 0.12

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.11-2mdv2009.0
+ Revision: 268725
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2009.0
+ Revision: 194861
- update to new version 0.11
- update to new version 0.11

* Thu Jan 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.1
+ Revision: 160755
- update to new version 0.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2008.1
+ Revision: 119230
- update to new version 0.09

* Mon Nov 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.1
+ Revision: 112680
- update to new version 0.08
- update to new version 0.08

* Thu Nov 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.07-1mdv2008.1
+ Revision: 104414
- import perl-Sphinx-Search


* Thu Nov 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.07-1mdv2008.1
- initial Mandriva package 
